/**
 * @fileoverview
 * @enhanceable
 * @suppress {messageConventions} JS Compiler reports an error if a variable or
 *     field starts with 'MSG_' and isn't a translatable message.
 * @public
 */
// GENERATED CODE -- DO NOT EDIT!

var jspb = require('google-protobuf');
var goog = jspb;
var global = Function('return this')();

var tensorflow_serving_apis_model_pb = require('../../tensorflow_serving/apis/model_pb.js');
var tensorflow_serving_config_logging_config_pb = require('../../tensorflow_serving/config/logging_config_pb.js');
goog.exportSymbol('proto.tensorflow.serving.LogMetadata', null, global);

/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.tensorflow.serving.LogMetadata = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.tensorflow.serving.LogMetadata, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  proto.tensorflow.serving.LogMetadata.displayName = 'proto.tensorflow.serving.LogMetadata';
}


if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto suitable for use in Soy templates.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     com.google.apps.jspb.JsClassTemplate.JS_RESERVED_WORDS.
 * @param {boolean=} opt_includeInstance Whether to include the JSPB instance
 *     for transitional soy proto support: http://goto/soy-param-migration
 * @return {!Object}
 */
proto.tensorflow.serving.LogMetadata.prototype.toObject = function(opt_includeInstance) {
  return proto.tensorflow.serving.LogMetadata.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Whether to include the JSPB
 *     instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.tensorflow.serving.LogMetadata} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.tensorflow.serving.LogMetadata.toObject = function(includeInstance, msg) {
  var f, obj = {
    modelSpec: (f = msg.getModelSpec()) && tensorflow_serving_apis_model_pb.ModelSpec.toObject(includeInstance, f),
    samplingConfig: (f = msg.getSamplingConfig()) && tensorflow_serving_config_logging_config_pb.SamplingConfig.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.tensorflow.serving.LogMetadata}
 */
proto.tensorflow.serving.LogMetadata.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.tensorflow.serving.LogMetadata;
  return proto.tensorflow.serving.LogMetadata.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.tensorflow.serving.LogMetadata} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.tensorflow.serving.LogMetadata}
 */
proto.tensorflow.serving.LogMetadata.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new tensorflow_serving_apis_model_pb.ModelSpec;
      reader.readMessage(value,tensorflow_serving_apis_model_pb.ModelSpec.deserializeBinaryFromReader);
      msg.setModelSpec(value);
      break;
    case 2:
      var value = new tensorflow_serving_config_logging_config_pb.SamplingConfig;
      reader.readMessage(value,tensorflow_serving_config_logging_config_pb.SamplingConfig.deserializeBinaryFromReader);
      msg.setSamplingConfig(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.tensorflow.serving.LogMetadata.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.tensorflow.serving.LogMetadata.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.tensorflow.serving.LogMetadata} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.tensorflow.serving.LogMetadata.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getModelSpec();
  if (f != null) {
    writer.writeMessage(
      1,
      f,
      tensorflow_serving_apis_model_pb.ModelSpec.serializeBinaryToWriter
    );
  }
  f = message.getSamplingConfig();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      tensorflow_serving_config_logging_config_pb.SamplingConfig.serializeBinaryToWriter
    );
  }
};


/**
 * optional ModelSpec model_spec = 1;
 * @return {?proto.tensorflow.serving.ModelSpec}
 */
proto.tensorflow.serving.LogMetadata.prototype.getModelSpec = function() {
  return /** @type{?proto.tensorflow.serving.ModelSpec} */ (
    jspb.Message.getWrapperField(this, tensorflow_serving_apis_model_pb.ModelSpec, 1));
};


/** @param {?proto.tensorflow.serving.ModelSpec|undefined} value */
proto.tensorflow.serving.LogMetadata.prototype.setModelSpec = function(value) {
  jspb.Message.setWrapperField(this, 1, value);
};


proto.tensorflow.serving.LogMetadata.prototype.clearModelSpec = function() {
  this.setModelSpec(undefined);
};


/**
 * Returns whether this field is set.
 * @return {!boolean}
 */
proto.tensorflow.serving.LogMetadata.prototype.hasModelSpec = function() {
  return jspb.Message.getField(this, 1) != null;
};


/**
 * optional SamplingConfig sampling_config = 2;
 * @return {?proto.tensorflow.serving.SamplingConfig}
 */
proto.tensorflow.serving.LogMetadata.prototype.getSamplingConfig = function() {
  return /** @type{?proto.tensorflow.serving.SamplingConfig} */ (
    jspb.Message.getWrapperField(this, tensorflow_serving_config_logging_config_pb.SamplingConfig, 2));
};


/** @param {?proto.tensorflow.serving.SamplingConfig|undefined} value */
proto.tensorflow.serving.LogMetadata.prototype.setSamplingConfig = function(value) {
  jspb.Message.setWrapperField(this, 2, value);
};


proto.tensorflow.serving.LogMetadata.prototype.clearSamplingConfig = function() {
  this.setSamplingConfig(undefined);
};


/**
 * Returns whether this field is set.
 * @return {!boolean}
 */
proto.tensorflow.serving.LogMetadata.prototype.hasSamplingConfig = function() {
  return jspb.Message.getField(this, 2) != null;
};


goog.object.extend(exports, proto.tensorflow.serving);
